Package javax.help.plaf

# Class HelpUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.help.plaf.HelpUI

Direct Known Subclasses:
  `BasicHelpUI`

public abstract class HelpUI extends ComponentUI
UI factory interface for JHelp.

## Constructor Summary

Constructors
Constructor
Description
`HelpUI()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`addNavigator(JHelpNavigator nav)`
Adds a Navigator.
`abstract JHelpNavigator`
`getCurrentNavigator()`
Gets the current Navigator.
`abstract void`
`removeNavigator(JHelpNavigator nav)`
Remove a Navigator.
`abstract void`
`setCurrentNavigator(JHelpNavigator nav)`
Sets the current Navigator.

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HelpUI

public HelpUI()

## Method Details

### addNavigator

public abstract void addNavigator(JHelpNavigator nav)
Adds a Navigator.

Parameters:
  `nav` - the Navigator to add

### removeNavigator

public abstract void removeNavigator(JHelpNavigator nav)
Remove a Navigator.

Parameters:
  `nav` - The Navigator to remove.

### setCurrentNavigator

public abstract void setCurrentNavigator(JHelpNavigator nav)
Sets the current Navigator.

Parameters:
  `nav` - The current Navigator to show.

### getCurrentNavigator

public abstract JHelpNavigator getCurrentNavigator()
Gets the current Navigator.

Parameters:
  `nav` - The current Navigator to show.